# Outline

**Official documentation:**
https://docs.getoutline.com/s/hosting/doc/hosting-outline-nipGaCRBDu

**Unofficial tutorial:**
https://www.youtube.com/watch?v=IY1jONuTEic

## Setup
```bash
docker compose up -d
```

The application is configured on the port 3000. To access it, a reverse proxy entry should be defined.

## Folder mapping

```
mp0: /mnt/raiddisk/data_outline/database,mp=/mnt/database,replicate=0
mp1: /mnt/raiddisk/data_outline/data,mp=/mnt/data,replicate=0
```

```
lxc.idmap: u 0 100000 999
lxc.idmap: u 999 1004 1
lxc.idmap: u 1000 101000 1
lxc.idmap: u 1001 1003 1
lxc.idmap: u 1002 101002 64534
lxc.idmap: g 0 100000 999
lxc.idmap: g 999 1006 1
lxc.idmap: g 1000 101000 1
lxc.idmap: g 1001 1005 1
lxc.idmap: g 1002 101002 64534
```

**Note**:
- *data* folder must be owned by 1001:100000
- *database* folder must be owned by 999:100000

## Slack login configuration
The easiest way to configure the authentication process is to use the API provided by slack. The two secrets provided muse be set in the .env file.

### Procedure
1. Register a Slack account and create a workspace
2. Visit api.slack.com/apps
3. create a new app from scratch and link to the workspace created at step #1
4. Open *OAuth & Permission* section
5. Add new redirection URL: *<domain>/auth/slack.callback* (e.g. *https://outline.giovanesaggio.com/auth/slack.callback*), then save
6. Open *Basic information* section and copy the two secret codes in the .env file.